<template>
  <div>
    <h1>Login</h1>
    <form @submit.prevent="login">
      <label for="email">Email: </label>
      <input type="email" name="email" id="email" placeholder="Votre email" v-model="email">
      <label for="password">Mot de passe: </label>
      <input type="password" name="password" id="password" placeholder="votre mot de passe" v-model="password">
      <button type="submit">Login</button>
    </form>
    <p>{{message}}</p>
  </div>
</template>

<script>
import {auth} from '@/utils/firebase';
export default {
  name: "login",
  data: () => {
    return {
      email: "",
      password: "",
      message: "",
    }
  },
  methods: {
    login: function () {
      auth.signInWithEmailAndPassword(this.email, this.password)
      .then((user) => {
        console.log(user)
        this.$router.push('/');
      })
      .catch((err) => {
        this.message = err.message
      })
    }
  }
}
</script>
